//  BookLibraryAppDelegate.h
//  BookLibrary
//
//  Created by KOYAMA Yoshiaki on 05/10/02.
//  Copyright KOYAMA Yoshiaki 2005 . All rights reserved.

#import <Cocoa/Cocoa.h>

// Amazon Web T[rXo^ID
// AmazonA\VGCg^Oݒ肵ĂB

#define		SUBSCRIPTION_ID	@""
#define		ASSOCIATE_TAG	@""

@interface BookLibraryAppDelegate : NSObject 
{
    IBOutlet NSWindow *window;
    IBOutlet id _panel;

    IBOutlet id _packageDimensions;
    IBOutlet id _title;
    IBOutlet id _isbn;
    IBOutlet id _amount;
    IBOutlet id _image;
    IBOutlet id _publicationDate;
    IBOutlet id _numberOfPages;
    IBOutlet id _binding;
    IBOutlet id _salesRank;
    IBOutlet id _publisher;
    IBOutlet id _creator;
    IBOutlet id _author;
    IBOutlet id _comments;

    IBOutlet id _indicator;
    IBOutlet id _tableView;

    NSManagedObjectModel *managedObjectModel;
    NSManagedObjectContext *managedObjectContext;
}

- (NSManagedObjectModel *)managedObjectModel;
- (NSManagedObjectContext *)managedObjectContext;

- (IBAction)saveAction:sender;

- (IBAction)input:(id)sender;
- (IBAction)amazon:(id)sender;
- (void)sheetDidEnd:(NSWindow *)sheet 
            returnCode:(int)returnCode
            contextInfo:(void *)contextInfo;
- (void)add:(id)sender;
- (IBAction)cancel:(id)sender;
- (void)clearTextField;
- (int)intValue:(NSString *)str;

@end
